# Penning Trap Simulation: src/main.cpp File Reference

Loading...
Searching...
No Matches
main.cpp File Reference

The main program for this project. More...

`#include <cmath>`
`#include <fstream>`
`#include <omp.h>`
`#include <string>`
`#include <sys/stat.h>`
`#include <vector>`
`#include "PenningTrap.hpp"`
`#include "utils.hpp"`

Go to the source code of this file.

## Macros

#define | PARTICLES 100
#define | N 10000
#define | CHARGE 1.
#define | MASS 40.

## Functions

void | simulate_single_particle ()
void | simulate_two_particles ()
void | simulate_single_particle_with_different_steps ()
void | simulate_100_particles ()
void | simulate_100_particles_with_time_potential ()
int | main ()

## Variables

Particle | p1 (CHARGE, MASS, vec_3d{20., 0., 20.}, vec_3d{0., 25., 0.})
Particle | p2 (CHARGE, MASS, vec_3d{25., 25., 0.}, vec_3d{0., 40., 5.})

## Detailed Description

The main program for this project.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file main.cpp.

## Macro Definition Documentation

## CHARGE

#define CHARGE 1.

Definition at line 25 of file main.cpp.

## MASS

#define MASS 40.

Definition at line 26 of file main.cpp.

## N

#define N 10000

Definition at line 24 of file main.cpp.

## PARTICLES

#define PARTICLES 100

Definition at line 23 of file main.cpp.

## Function Documentation

## main()

int main | ( |  | ) |

Definition at line 124 of file main.cpp.

## simulate_100_particles()

void simulate_100_particles | ( |  | ) |

Definition at line 77 of file main.cpp.

## simulate_100_particles_with_time_potential()

void simulate_100_particles_with_time_potential | ( |  | ) |

Definition at line 91 of file main.cpp.

## simulate_single_particle()

void simulate_single_particle | ( |  | ) |

Definition at line 31 of file main.cpp.

## simulate_single_particle_with_different_steps()

void simulate_single_particle_with_different_steps | ( |  | ) |

Definition at line 55 of file main.cpp.

## simulate_two_particles()

void simulate_two_particles | ( |  | ) |

Definition at line 42 of file main.cpp.